import React from 'react';
import { Icon } from 'antd-mobile';

export default function Tips({ money }) {
  if (!money) {
    return null;
  }
  return (
    <div className={'df bg-yellow fz14 ptb10 box-c orange'}>
      <div className={'fx1'}>
        <div className={'df aic'}>
          <i className="iconfont icon-warn-s" />
          因违规，需缴纳{money}元
        </div>
      </div>
      <span
        className={'df aic'}
        onClick={() => {
          window.location.href = `/new/deposit/Pay?needPayQuality=${money}`;
        }}
      >
        去缴纳
        <Icon type={'right'} color={'orange'} size={'xs'} />
      </span>
    </div>
  );
}
